## gmtp 0.6

=== Makefile ===
# gMTP Sync tool

PKG_NAME = gMTP
PREFIX = /usr/local
VER = 0.6
# Note: If you update above, please update the config.h and pkginfo file as well.

PKG = gMTP
ARCH = i386
PKGFILE = $(PKG)-$(VER)-$(ARCH).pkg
TARFILE = $(PKG_NAME)-$(VER)-$(ARCH).tar

UNAME = $(shell uname)

# See what OS we are, and set things for Solaris, otherwise use a default
# that should work.
ifeq ($(UNAME), SunOS)
CC = cc
INSTALL = /usr/ucb/install -c
LD_FLAGS += -L/usr/sfw/lib -R/usr/sfw/lib
else
CC = gcc
INSTALL = install -c
endif

GCONFTOOL = gconftool-2
TAR = tar

CFLAGS += -c -O 
LD_FLAGS += 
LIBS +=

GTK_CFLAGS = `pkg-config --cflags gtk+-2.0 gconf-2.0 libmtp id3tag`
GTK_LDFLAGS = `pkg-config --libs gtk+-2.0 gconf-2.0 libmtp id3tag`

objects = main.o mtp.o interface.o callbacks.o prefs.o dnd.o
headers = main.h mtp.h interface.h callbacks.h prefs.h dnd.h config.h

gMTP:	$(objects)
	@echo "B: gMTP"
	@$(CC) -o gMTP $(LD_FLAGS) $(LIBS) $(GTK_LDFLAGS) $(objects)


.c.o: $(headers)
	@echo "C: "$<
	@$(CC) $(CFLAGS) $(GTK_CFLAGS) -o $@  $<


install: gMTP
	$(INSTALL) -d $(PREFIX)
	$(INSTALL) -d $(PREFIX)/bin
	$(INSTALL) -d $(PREFIX)/share
	$(INSTALL) -d $(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -d $(PREFIX)/share/applications
	$(INSTALL) -d $(PREFIX)/share/pixmaps
	$(INSTALL) -m 755 gMTP $(PREFIX)/bin
	$(INSTALL) -m 644 icon.png $(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -m 644 icon-16.png $(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -m 644 stock-about-16.png $(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -m 644 README $(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -m 644 COPYING $(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -m 644 ChangeLog $(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -m 644 AUTHORS $(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -m 644 gMTP.desktop $(PREFIX)/share/applications
	$(INSTALL) -m 644 icon.png $(PREFIX)/share/pixmaps
	mv $(PREFIX)/share/pixmaps/icon.png $(PREFIX)/share/pixmaps/gMTPicon.png
	GCONF_CONFIG_SOURCE=`$(GCONFTOOL) --get-default-source` $(GCONFTOOL) --makefile-install-rule gMTP.schema

clean:
	@echo "CLEAN: core gMTP *.o *~ "$(objects)
	@-rm -f $(objects) core gMTP *.o *~ $(PKGFILE).gz

dist:
	-rm -f $(objects) core gMTP *.o *~
	cd .. && $(TAR) -cf $(TARFILE) gMTP && gzip $(TARFILE) && cd gMTP

pkg: gMTP
	pkgmk -o -d /tmp -a $(ARCH)
	touch $(PKGFILE)
	pkgtrans -s /tmp $(PKGFILE) $(PKG)
	rm -r /tmp/$(PKG)
	gzip $(PKGFILE)

=== debian/changelog ===
gmtp (0.6-2) unstable; urgency=low

  * Correct linking order to pass LDFLAGS to the compiler.
  * Add patch to makes the program look for the data files under
    /usr/share/gmtp rather than under /usr/share/gMTP.

 -- Alessio Treglia <alessio@debian.org>  Sat, 06 Nov 2010 00:57:14 +0100

gmtp (0.6-1) unstable; urgency=low

  * Initial release. (Closes: #596724)

 -- Alessio Treglia <alessio@debian.org>  Mon, 13 Sep 2010 18:19:44 +0200

=== debian/control ===
Source: gmtp
Section: sound
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7),
 pkg-config,
 libgtk2.0-dev,
 libglib2.0-dev,
 libgconf2-dev,
 libid3tag0-dev,
 libmtp-dev
Standards-Version: 3.9.1
Homepage: http://chewy509.110mb.com/gMTP.html
Vcs-Git: git://git.debian.org/collab-maint/gmtp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gmtp.git

Package: gmtp
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: simple MP3 player client for MTP based devices
 gMTP is a simple and light-weight interface to the features provided
 by libmtp, which allows users to manage the files stored on any MTP
 music player supported by the libraries, including those with
 multiple storage devices (e.g. mobile phones).
 .
 It doesn't provide complex features such as playlist management,
 it just makes transferring files from and to devices easy, by
 allowing users to upload, download and remove files on the device
 with a fast and easy-to-use graphical interface.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ -Smakefile

=== debian/watch ===
version=3
http://chewy509.110mb.com/gMTP.html \
gMTP-(.*)-.*\.tar\.gz

## gmtp 0.7

=== Makefile ===
# gMTP Sync tool

PKG_NAME = gmtp
PREFIX = /usr/local
VER = 0.7
# Note: If you update above, please update the config.h and pkginfo file as well.

PKG = gmtp
ARCH = i386
PKGFILE = $(PKG)-$(VER)-$(ARCH).pkg
TARFILE = $(PKG_NAME)-$(VER)-$(ARCH).tar

UNAME = $(shell uname)

# See what OS we are, and set things for Solaris, otherwise use a default
# that should work.
ifeq ($(UNAME), SunOS)
CC = cc
INSTALL = /usr/ucb/install -c
LDFLAGS += -L/usr/sfw/lib -R/usr/sfw/lib
else
CC = gcc
INSTALL = install -c
endif

GCONFTOOL = gconftool-2
TAR = tar

CFLAGS += -c -g 
LDFLAGS += 
LIBS +=

GTK_CFLAGS = `pkg-config --cflags gtk+-2.0 gconf-2.0 libmtp id3tag flac vorbisfile`
GTK_LDFLAGS = `pkg-config --libs gtk+-2.0 gconf-2.0 libmtp id3tag flac vorbisfile`

objects = main.o mtp.o interface.o callbacks.o prefs.o dnd.o metatag_info.o
headers = main.h mtp.h interface.h callbacks.h prefs.h dnd.h metatag_info.h config.h

gmtp:	$(objects)
	$(CC) -o gmtp $(LDFLAGS) $(GTK_LDFLAGS)  $(LIBS)  $(objects)


.c.o: $(headers)
	$(CC) $(GTK_CFLAGS) $(CFLAGS)  -o $@  $<


install: gmtp
	$(INSTALL) -d $(DESTDIR)$(PREFIX)
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/pixmaps
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/doc
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/gconf
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/gconf/schemas
	$(INSTALL) -m 755 gmtp $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 icon.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -m 644 icon-16.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -m 644 stock-about-16.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -m 644 README $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)
	$(INSTALL) -m 644 COPYING $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)
	$(INSTALL) -m 644 ChangeLog $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)
	$(INSTALL) -m 644 AUTHORS $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)
	$(INSTALL) -m 644 gMTP.desktop $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL) -m 644 icon.png $(DESTDIR)$(PREFIX)/share/pixmaps
	$(INSTALL) -m 644 gMTP.schema $(DESTDIR)$(PREFIX)/share/gconf/schemas
	mv $(DESTDIR)$(PREFIX)/share/pixmaps/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
	GCONF_CONFIG_SOURCE=`$(GCONFTOOL) --get-default-source` $(GCONFTOOL) --makefile-install-rule gMTP.schema

clean:
	rm -f $(objects) core gmtp *.o *~ $(PKGFILE).gz

dist:
	rm -f $(objects) core gmtp *.o *~
	cd .. && $(TAR) -cf $(TARFILE) gMTP && gzip $(TARFILE) && cd gMTP

pkg: gmtp
	pkgmk -o -d /tmp -a $(ARCH)
	touch $(PKGFILE)
	pkgtrans -s /tmp $(PKGFILE) $(PKG)
	rm -r /tmp/$(PKG)
	gzip $(PKGFILE)

=== debian/changelog ===
gmtp (0.7-1~maverick1) maverick-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 06 Dec 2010 18:02:44 +0000

gmtp (0.7-1) unstable; urgency=low

  * New upstream release:
    - Added FLAC metadata support (required FLAC 1.2+)
    - Added OggVorbis metadata support (requires vorbis 1.0.1+)
    - Added WMA metadata support.
    - Fixed missing header in mtp.c for some Linux distro's (string.h).
    - Made application and file paths all lower case inline with
      freedesktop guidelines.
    - Changed *.desktop file inline with freedesktop guidelines.
    - Fixed NULL pointer fault with MP3's that have no TRACKNUMBER tag.
  * Dropped patches, applied upstream:
    - 01-desktop_file.patch
    - 03-missing_header.patch
    - 04-fix_application_path.patch
  * Refresh 02-makefile.patch, partially adopted by upstream.
  * Rename executable from gMTP to gmtp, update manpage.
  * debian/control: Build-depend on libflac-dev,libvorbis-dev.
  * Improve debian/watch file.

 -- Alessio Treglia <alessio@debian.org>  Thu, 25 Nov 2010 16:23:54 +0100

## gmtp 0.8.1

=== Makefile ===
# gMTP Sync tool

PKG_NAME = gmtp
PREFIX ?= /usr/local
VER = 0.8.1
# Note: If you update above, please update the config.h and pkginfo file as well.

PKG = gmtp
ARCH = i386
PKGFILE = $(PKG)-$(VER)-$(ARCH).pkg
TARFILE = $(PKG_NAME)-$(VER)-$(ARCH).tar

UNAME = $(shell uname)

# See what OS we are, and set things for Solaris, otherwise use a default
# that should work.
ifeq ($(UNAME), SunOS)
CC = cc
INSTALL = /usr/ucb/install -c
MSGFMT = /usr/bin/msgfmt --strict
LDFLAGS += -L/usr/sfw/lib -R/usr/sfw/lib
else
CC = gcc
INSTALL = install -c
MSGFMT = msgfmt
endif

GCONFTOOL = gconftool-2
TAR = tar

CFLAGS += -c -g
LDFLAGS += 
LIBS +=

.SUFFIXES: .c .o .po .mo

GTK_CFLAGS = `pkg-config --cflags gtk+-2.0 gconf-2.0 libmtp id3tag flac vorbisfile`
GTK_LDFLAGS = `pkg-config --libs gtk+-2.0 gconf-2.0 libmtp id3tag flac vorbisfile`

objects = src/main.o src/mtp.o src/interface.o src/callbacks.o src/prefs.o src/dnd.o src/metatag_info.o
headers = src/main.h src/mtp.h src/interface.h src/callbacks.h src/prefs.h src/dnd.h src/metatag_info.h src/config.h

catalogues = po/es.mo po/it.mo po/fr.mo po/da.mo po/de.mo
POFILES = po/es.po po/it.po po/fr.po po/da.po po/de.po


all:	gmtp $(catalogues)

# Main executable

gmtp:	$(objects)
	$(CC) -o gmtp $(LDFLAGS) $(objects) $(GTK_LDFLAGS)  $(LIBS)

# Object Files

src/main.o: src/main.c $(headers)
	$(CC) $(GTK_CFLAGS) $(CFLAGS)  -o $@  src/main.c

src/mtp.o: src/mtp.c $(headers)
	$(CC) $(GTK_CFLAGS) $(CFLAGS)  -o $@  src/mtp.c

src/interface.o: src/interface.c $(headers)
	$(CC) $(GTK_CFLAGS) $(CFLAGS)  -o $@  src/interface.c

src/callbacks.o: src/callbacks.c $(headers)
	$(CC) $(GTK_CFLAGS) $(CFLAGS)  -o $@  src/callbacks.c

src/prefs.o: src/prefs.c $(headers)
	$(CC) $(GTK_CFLAGS) $(CFLAGS)  -o $@  src/prefs.c

src/dnd.o: src/dnd.c $(headers)
	$(CC) $(GTK_CFLAGS) $(CFLAGS)  -o $@  src/dnd.c

src/metatag_info.o: src/metatag_info.c $(headers)
	$(CC) $(GTK_CFLAGS) $(CFLAGS)  -o $@  src/metatag_info.c

# Language Files

po/es.mo: po/es.po
	$(MSGFMT) -o po/es.mo po/es.po

po/it.mo: po/it.po
	$(MSGFMT) -o po/it.mo po/it.po

po/de.mo: po/de.po
	$(MSGFMT) -o po/de.mo po/de.po

po/da.mo: po/da.po
	$(MSGFMT) -o po/da.mo po/da.po

po/fr.mo: po/fr.po
	$(MSGFMT) -o po/fr.mo po/fr.po

# Installation

install: gmtp $(catalogues)
	$(INSTALL) -d $(DESTDIR)$(PREFIX)
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/pixmaps
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/gconf
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/gconf/schemas
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/es
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/it
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/fr
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/da
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/de
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/it/LC_MESSAGES
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/da/LC_MESSAGES
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/de/LC_MESSAGES
	$(INSTALL) -m 755 gmtp $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -m 644 images/icon-16.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -m 644 images/stock-about-16.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
	$(INSTALL) -m 644 misc/gMTP.desktop $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps
	$(INSTALL) -m 644 misc/gMTP.schemas $(DESTDIR)$(PREFIX)/share/gconf/schemas
	mv $(DESTDIR)$(PREFIX)/share/pixmaps/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
	cp po/es.mo $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES/gmtp.mo
	cp po/fr.mo $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES/gmtp.mo
	cp po/it.mo $(DESTDIR)$(PREFIX)/share/locale/it/LC_MESSAGES/gmtp.mo
	cp po/da.mo $(DESTDIR)$(PREFIX)/share/locale/da/LC_MESSAGES/gmtp.mo
	cp po/de.mo $(DESTDIR)$(PREFIX)/share/locale/de/LC_MESSAGES/gmtp.mo
	mv $(DESTDIR)$(PREFIX)/share/gconf/schemas/gMTP.schemas $(DESTDIR)$(PREFIX)/share/gconf/schemas/gmtp.schemas

register-gconf-schemas: install
	GCONF_CONFIG_SOURCE=`$(GCONFTOOL) --get-default-source` $(GCONFTOOL) --makefile-install-rule $(DESTDIR)$(PREFIX)/share/gconf/schemas/gmtp.schemas

install-doc:
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/doc
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)
	$(INSTALL) -m 644 README $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)
	$(INSTALL) -m 644 COPYING $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)
	$(INSTALL) -m 644 ChangeLog $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)
	$(INSTALL) -m 644 AUTHORS $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)

uninstall:
	rm $(DESTDIR)$(PREFIX)/bin/gmtp
	rm $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/icon.png
	rm $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/icon-16.png
	rm $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/stock-about-16.png
	rm $(DESTDIR)$(PREFIX)/share/applications/gMTP.desktop
	rm $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
	rm $(DESTDIR)$(PREFIX)/share/gconf/schemas/gmtp.schemas
	rm $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES/gmtp.mo
	rm $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES/gmtp.mo
	rm $(DESTDIR)$(PREFIX)/share/locale/it/LC_MESSAGES/gmtp.mo
	rm $(DESTDIR)$(PREFIX)/share/locale/da/LC_MESSAGES/gmtp.mo
	rm $(DESTDIR)$(PREFIX)/share/locale/de/LC_MESSAGES/gmtp.mo

uninstall-doc:
	rm $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)/README
	rm $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)/COPYING
	rm $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)/ChangeLog
	rm $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)/AUTHORS

clean:
	rm -f $(objects) core gmtp src/*.o src/*~ $(PKGFILE).gz po/*.mo po/*~

dist:
	rm -f $(objects) core gmtp src/*.o src/*~ po/*.mo po/*~
	cd .. && $(TAR) -cf $(TARFILE) gMTP && gzip $(TARFILE) && cd gMTP

pkg: gmtp $(catalogues)
	pkgmk -o -d /tmp -a $(ARCH)
	touch $(PKGFILE)
	pkgtrans -s /tmp $(PKGFILE) $(PKG)
	rm -r /tmp/$(PKG)
	gzip $(PKGFILE)

=== debian/changelog ===
gmtp (0.8.1-1) unstable; urgency=low

  * New upstream release:
    - Update Italian Translation - thanks to Francesca Ciceri.
    - Modify Makefile for separate GConf schema installation.
  * Drop patches, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Tue, 25 Jan 2011 19:46:39 +0100

gmtp (0.8-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update debian/copyright.
  * Add patch to improve the Italian translation.

 -- Alessio Treglia <alessio@debian.org>  Mon, 24 Jan 2011 17:21:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
  libglib2.0-dev,
  libgconf2-dev,
  libid3tag0-dev,
+ libflac-dev,
+ libvorbis-dev,
  libmtp-dev
 Standards-Version: 3.9.1
 Homepage: http://chewy509.110mb.com/gMTP.html

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed
export PREFIX=/usr

%:
	dh $@ -Smakefile

## gmtp 0.9

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PKG_NAME = gmtp
 PREFIX ?= /usr/local
-VER = 0.8.1
+VER = 0.9
 # Note: If you update above, please update the config.h and pkginfo file as well.
 
 PKG = gmtp
@@ -15,12 +15,12 @@
 # See what OS we are, and set things for Solaris, otherwise use a default
 # that should work.
 ifeq ($(UNAME), SunOS)
-CC = cc
+CC ?= cc
 INSTALL = /usr/ucb/install -c
 MSGFMT = /usr/bin/msgfmt --strict
 LDFLAGS += -L/usr/sfw/lib -R/usr/sfw/lib
 else
-CC = gcc
+CC ?= gcc
 INSTALL = install -c
 MSGFMT = msgfmt
 endif
@@ -28,7 +28,7 @@
 GCONFTOOL = gconftool-2
 TAR = tar
 
-CFLAGS += -c -g
+CFLAGS += -c -g -O
 LDFLAGS += 
 LIBS +=
 
@@ -37,6 +37,13 @@
 GTK_CFLAGS = `pkg-config --cflags gtk+-2.0 gconf-2.0 libmtp id3tag flac vorbisfile`
 GTK_LDFLAGS = `pkg-config --libs gtk+-2.0 gconf-2.0 libmtp id3tag flac vorbisfile`
 
+ifeq ($(MAKECMDGOALS),gtk3)
+GTK_CFLAGS = `pkg-config --cflags gtk+-3.0 gio-2.0 libmtp id3tag flac vorbisfile`
+GTK_LDFLAGS = `pkg-config --libs gtk+-3.0 gio-2.0 libmtp id3tag flac vorbisfile`
+#CFLAGS += -DGMTP_USE_GTK3 -DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE
+CFLAGS += -DGMTP_USE_GTK3
+endif
+
 objects = src/main.o src/mtp.o src/interface.o src/callbacks.o src/prefs.o src/dnd.o src/metatag_info.o
 headers = src/main.h src/mtp.h src/interface.h src/callbacks.h src/prefs.h src/dnd.h src/metatag_info.h src/config.h
 
@@ -45,6 +52,14 @@
 
 
 all:	gmtp $(catalogues)
+
+# GTK3 build
+
+gtk3:	gmtp $(catalogues)
+
+# GTK2 build
+
+gtk2:	gmtp $(catalogues)
 
 # Main executable
 
@@ -131,6 +146,43 @@
 register-gconf-schemas: install
 	GCONF_CONFIG_SOURCE=`$(GCONFTOOL) --get-default-source` $(GCONFTOOL) --makefile-install-rule $(DESTDIR)$(PREFIX)/share/gconf/schemas/gmtp.schemas
 
+install-gtk3: gmtp $(catalogues)
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/applications
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/pixmaps
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/glib-2.0
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/es
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/it
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/fr
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/da
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/de
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/it/LC_MESSAGES
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/da/LC_MESSAGES
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/de/LC_MESSAGES
+	$(INSTALL) -m 755 gmtp $(DESTDIR)$(PREFIX)/bin
+	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/icon-16.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/stock-about-16.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 misc/gMTP.desktop $(DESTDIR)$(PREFIX)/share/applications
+	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps
+	mv $(DESTDIR)$(PREFIX)/share/pixmaps/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
+	cp po/es.mo $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES/gmtp.mo
+	cp po/fr.mo $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES/gmtp.mo
+	cp po/it.mo $(DESTDIR)$(PREFIX)/share/locale/it/LC_MESSAGES/gmtp.mo
+	cp po/da.mo $(DESTDIR)$(PREFIX)/share/locale/da/LC_MESSAGES/gmtp.mo
+	cp po/de.mo $(DESTDIR)$(PREFIX)/share/locale/de/LC_MESSAGES/gmtp.mo
+
+register-gsettings-schemas: install-gtk3
+	$(INSTALL) -m 644 misc/org.gnome.gmtp.gschema.xml $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas
+	glib-compile-schemas $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas
+
 install-doc:
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/doc
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)
@@ -140,18 +192,19 @@
 	$(INSTALL) -m 644 AUTHORS $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)
 
 uninstall:
-	rm $(DESTDIR)$(PREFIX)/bin/gmtp
-	rm $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/icon.png
-	rm $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/icon-16.png
-	rm $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/stock-about-16.png
-	rm $(DESTDIR)$(PREFIX)/share/applications/gMTP.desktop
-	rm $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
-	rm $(DESTDIR)$(PREFIX)/share/gconf/schemas/gmtp.schemas
-	rm $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES/gmtp.mo
-	rm $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES/gmtp.mo
-	rm $(DESTDIR)$(PREFIX)/share/locale/it/LC_MESSAGES/gmtp.mo
-	rm $(DESTDIR)$(PREFIX)/share/locale/da/LC_MESSAGES/gmtp.mo
-	rm $(DESTDIR)$(PREFIX)/share/locale/de/LC_MESSAGES/gmtp.mo
+	rm -f $(DESTDIR)$(PREFIX)/bin/gmtp
+	rm -f  $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/icon.png
+	rm -f  $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/icon-16.png
+	rm -f  $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/stock-about-16.png
+	rm -f  $(DESTDIR)$(PREFIX)/share/applications/gMTP.desktop
+	rm -f  $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
+	rm -f  $(DESTDIR)$(PREFIX)/share/gconf/schemas/gmtp.schemas
+	rm -f  $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas/org.gnome.gMTP.gschema.xml
+	rm -f  $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES/gmtp.mo
+	rm -f  $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES/gmtp.mo
+	rm -f  $(DESTDIR)$(PREFIX)/share/locale/it/LC_MESSAGES/gmtp.mo
+	rm -f  $(DESTDIR)$(PREFIX)/share/locale/da/LC_MESSAGES/gmtp.mo
+	rm -f  $(DESTDIR)$(PREFIX)/share/locale/de/LC_MESSAGES/gmtp.mo
 
 uninstall-doc:
 	rm $(DESTDIR)$(PREFIX)/share/doc/$(PKG_NAME)/README

=== debian/changelog ===
gmtp (0.9-1) unstable; urgency=low

  * New upstream bugfix-only release:
    - Fix some memleaks in mtp.c.
    - Fix album updates for some broken devices.
    - Fix minor bug in the playlist editor.

 -- Alessio Treglia <alessio@debian.org>  Fri, 25 Feb 2011 14:03:05 +0100

=== debian/watch ===
version=3
http://chewy509.110mb.com/gMTP.html \
gmtp-([0-9\.]+)-.*\.tar\.gz

## gmtp 0.9.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PKG_NAME = gmtp
 PREFIX ?= /usr/local
-VER = 0.9
+VER = 0.9.1
 # Note: If you update above, please update the config.h and pkginfo file as well.
 
 PKG = gmtp

=== debian/changelog ===
gmtp (0.9.1-1) unstable; urgency=low

  * New upstream release:
    - Fix "File continues to be uploaded, even if cancelling the
      upload" bug (Closes: #624117).
  * debian/copyright:
    - Update to comply with DEP-5 svn-174.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Apr 2011 19:25:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7),
- pkg-config,
+ libflac-dev,
+ libgconf2-dev,
+ libglib2.0-dev,
  libgtk2.0-dev,
- libglib2.0-dev,
- libgconf2-dev,
  libid3tag0-dev,
- libflac-dev,
+ libmtp-dev,
  libvorbis-dev,
- libmtp-dev
-Standards-Version: 3.9.1
+ pkg-config
+Standards-Version: 3.9.2
 Homepage: http://chewy509.110mb.com/gMTP.html
 Vcs-Git: git://git.debian.org/collab-maint/gmtp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gmtp.git

## gmtp 1.0.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PKG_NAME = gmtp
 PREFIX ?= /usr/local
-VER = 0.9.1
+VER = 1.0.0
 # Note: If you update above, please update the config.h and pkginfo file as well.
 
 PKG = gmtp
@@ -40,7 +40,6 @@
 ifeq ($(MAKECMDGOALS),gtk3)
 GTK_CFLAGS = `pkg-config --cflags gtk+-3.0 gio-2.0 libmtp id3tag flac vorbisfile`
 GTK_LDFLAGS = `pkg-config --libs gtk+-3.0 gio-2.0 libmtp id3tag flac vorbisfile`
-#CFLAGS += -DGMTP_USE_GTK3 -DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE
 CFLAGS += -DGMTP_USE_GTK3
 endif
 
@@ -132,6 +131,14 @@
 	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 images/icon-16.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 images/stock-about-16.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/audio-x-mp3-playlist.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/audio-x-mpeg.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/folder.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/image-x-generic.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/media-cdrom-audio.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/text-plain.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/video-x-generic.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/empty.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 misc/gMTP.desktop $(DESTDIR)$(PREFIX)/share/applications
 	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps
 	$(INSTALL) -m 644 misc/gMTP.schemas $(DESTDIR)$(PREFIX)/share/gconf/schemas
@@ -172,6 +179,14 @@
 	$(INSTALL) -m 644 images/stock-about-16.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 misc/gMTP.desktop $(DESTDIR)$(PREFIX)/share/applications
 	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps
+	$(INSTALL) -m 644 images/audio-x-mp3-playlist.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/audio-x-mpeg.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/folder.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/image-x-generic.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/media-cdrom-audio.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/text-plain.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/video-x-generic.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/empty.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	mv $(DESTDIR)$(PREFIX)/share/pixmaps/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
 	cp po/es.mo $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES/gmtp.mo
 	cp po/fr.mo $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES/gmtp.mo
@@ -193,9 +208,7 @@
 
 uninstall:
 	rm -f $(DESTDIR)$(PREFIX)/bin/gmtp
-	rm -f  $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/icon.png
-	rm -f  $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/icon-16.png
-	rm -f  $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/stock-about-16.png
+	rm -f  $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/*
 	rm -f  $(DESTDIR)$(PREFIX)/share/applications/gMTP.desktop
 	rm -f  $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
 	rm -f  $(DESTDIR)$(PREFIX)/share/gconf/schemas/gmtp.schemas

=== debian/changelog ===
gmtp (1.0.0-1) unstable; urgency=low

  * New upstream release:
    - Finalised GTK3 build.
    - Updated Album Art dialog allowing for upload, removing or
      downloading album art files.
    - Ability to rename files and folders on the device.
    - New icons in the main window.
    - Updated Properties Window to better suit small screen devices,
      especially netbooks.
  * Build with GTK3.
  * Install gsettings schemas, drop gconf stuff.
  * Bump debhelper build-dep to 8.1.3~, required by dh_installgsettings.

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Jun 2011 11:28:15 +0200

## gmtp 1.0.1

=== debian/changelog ===
gmtp (1.0.1-2) unstable; urgency=low

  * Remove duplicate free() call to prevent crashes while transfering
    songs (Closes: #632454).

 -- Alessio Treglia <alessio@debian.org>  Wed, 06 Jul 2011 08:44:14 +0200

gmtp (1.0.1-1) unstable; urgency=low

  * New upstream release:
    - Fix application icon size with Window Maker.
    - Added Format Device Option.
    - General code cleanup.

 -- Alessio Treglia <alessio@debian.org>  Tue, 28 Jun 2011 11:28:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: sound
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 8.1.3~),
  libflac-dev,
- libgconf2-dev,
  libglib2.0-dev,
- libgtk2.0-dev,
+ libgtk-3-dev,
  libid3tag0-dev,
  libmtp-dev,
  libvorbis-dev,

## gmtp 1.2.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PKG_NAME = gmtp
 PREFIX ?= /usr/local
-VER = 1.0.0
+VER = 1.2.0
 # Note: If you update above, please update the config.h and pkginfo file as well.
 
 PKG = gmtp
@@ -129,6 +129,7 @@
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/de/LC_MESSAGES
 	$(INSTALL) -m 755 gmtp $(DESTDIR)$(PREFIX)/bin
 	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/logo.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 images/icon-16.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 images/stock-about-16.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 images/audio-x-mp3-playlist.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
@@ -139,6 +140,7 @@
 	$(INSTALL) -m 644 images/text-plain.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 images/video-x-generic.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 images/empty.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/view-refresh.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 misc/gMTP.desktop $(DESTDIR)$(PREFIX)/share/applications
 	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps
 	$(INSTALL) -m 644 misc/gMTP.schemas $(DESTDIR)$(PREFIX)/share/gconf/schemas
@@ -176,6 +178,7 @@
 	$(INSTALL) -m 755 gmtp $(DESTDIR)$(PREFIX)/bin
 	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 images/icon-16.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/logo.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 images/stock-about-16.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 misc/gMTP.desktop $(DESTDIR)$(PREFIX)/share/applications
 	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps
@@ -187,6 +190,7 @@
 	$(INSTALL) -m 644 images/text-plain.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 images/video-x-generic.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	$(INSTALL) -m 644 images/empty.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+	$(INSTALL) -m 644 images/view-refresh.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 	mv $(DESTDIR)$(PREFIX)/share/pixmaps/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
 	cp po/es.mo $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES/gmtp.mo
 	cp po/fr.mo $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES/gmtp.mo

=== debian/changelog ===
gmtp (1.2.0-1) unstable; urgency=low

  * New upstream release:
    - New features:
      + Import/export *.m3u playlist files from within the playlist editor.
      + Download entire folders from the MTP device to your local PC.
    - Other changes:
      + Disable upload of .PLA or .ALB files as these map directly to
        Playlists and Album metadata pointers on the device. (Allowing this
        may result in corrupt metadata on the device).
  * debian/{control,copyright,watch):
    - Upstream moved to SourceForge.

 -- Alessio Treglia <alessio@debian.org>  Thu, 04 Aug 2011 09:57:56 +0200

gmtp (1.1.0-1) unstable; urgency=low

  * New upstream bugfix release.
  * Delete patches, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Sat, 16 Jul 2011 08:54:39 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libvorbis-dev,
  pkg-config
 Standards-Version: 3.9.2
-Homepage: http://chewy509.110mb.com/gMTP.html
+Homepage: http://gmtp.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/gmtp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gmtp.git

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,14 @@
 
 %:
 	dh $@ -Smakefile
+
+override_dh_auto_build:
+	dh_auto_build -- gtk3
+
+override_dh_auto_install:
+	dh_auto_install
+	rm debian/gmtp/usr/share/gconf/schemas/gmtp.schemas
+	find debian/gmtp -type d -empty -delete
+
+override_dh_clean:
+	dh_clean -XMakefile~

## gmtp 1.3.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PKG_NAME = gmtp
 PREFIX ?= /usr/local
-VER = 1.2.0
+VER = 1.3.0
 # Note: If you update above, please update the config.h and pkginfo file as well.
 
 PKG = gmtp
@@ -15,12 +15,20 @@
 # See what OS we are, and set things for Solaris, otherwise use a default
 # that should work.
 ifeq ($(UNAME), SunOS)
-CC ?= cc
+CC = cc
+CFLAGS += -Xc -v -xc99 #-native -fast
+SUNVERSION = $(shell uname -r)
+ifeq ($(SUNVERSION), 5.11)
+INSTALL = ginstall -c
+MSGFMT = msgfmt --strict
+else
 INSTALL = /usr/ucb/install -c
 MSGFMT = /usr/bin/msgfmt --strict
 LDFLAGS += -L/usr/sfw/lib -R/usr/sfw/lib
+endif
 else
-CC ?= gcc
+CC = gcc
+CFLAGS += -std=c99 -Wall
 INSTALL = install -c
 MSGFMT = msgfmt
 endif
@@ -28,7 +36,7 @@
 GCONFTOOL = gconftool-2
 TAR = tar
 
-CFLAGS += -c -g -O
+CFLAGS += -c -g #-O
 LDFLAGS += 
 LIBS +=

=== debian/changelog ===
gmtp (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * It's no longer needed to keep Makefile~ unchanged,
    it has been removed upstream.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sat, 24 Dec 2011 02:46:03 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,3 @@
 	dh_auto_install
 	rm debian/gmtp/usr/share/gconf/schemas/gmtp.schemas
 	find debian/gmtp -type d -empty -delete
-
-override_dh_clean:
-	dh_clean -XMakefile~

## gmtp 1.3.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PKG_NAME = gmtp
 PREFIX ?= /usr/local
-VER = 1.3.0
+VER = 1.3.1
 # Note: If you update above, please update the config.h and pkginfo file as well.
 
 PKG = gmtp

=== debian/changelog ===
gmtp (1.3.1-2ubuntu0.1) precise-proposed; urgency=low

  * Fix invalid charset in German's translation. (LP: #1051249)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 16 Nov 2012 01:13:03 +0000

gmtp (1.3.1-2) unstable; urgency=low

  * Fix 0001-missing_linker_flag.patch, it wasn't actually applied when
    linked against GTK3.
  * Really build with --as-needed.

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Feb 2012 15:44:30 +0100

gmtp (1.3.1-1) unstable; urgency=low

  * New upstream bugfix release:
    - Change default to ask for Download folder upon initial
      installation. (LP: #934319)
  * Link against gthread-2.0 to prevent FTBFS; patch taken from Ubuntu.

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Feb 2012 14:25:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gmtp
 Section: sound
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
  libflac-dev,
  libglib2.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-LDFLAGS+=-Wl,--as-needed
+export LDFLAGS+=-Wl,--as-needed
 export PREFIX=/usr
 
 %:

## gmtp 1.3.2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PKG_NAME = gmtp
 PREFIX ?= /usr/local
-VER = 1.3.1
+VER = 1.3.2
 # Note: If you update above, please update the config.h and pkginfo file as well.
 
 PKG = gmtp
@@ -39,17 +39,21 @@
 CFLAGS += -c -g #-O
 LDFLAGS += 
 LIBS +=
+PKG_CONFIG ?= pkg-config
 
 .SUFFIXES: .c .o .po .mo
 
-GTK_CFLAGS = `pkg-config --cflags gtk+-2.0 gconf-2.0 libmtp id3tag flac vorbisfile`
-GTK_LDFLAGS = `pkg-config --libs gtk+-2.0 gconf-2.0 libmtp id3tag flac vorbisfile`
-
 ifeq ($(MAKECMDGOALS),gtk3)
-GTK_CFLAGS = `pkg-config --cflags gtk+-3.0 gio-2.0 libmtp id3tag flac vorbisfile`
-GTK_LDFLAGS = `pkg-config --libs gtk+-3.0 gio-2.0 libmtp id3tag flac vorbisfile`
+PKGS = gtk+-3.0 gio-2.0
 CFLAGS += -DGMTP_USE_GTK3
+else
+PKGS = gtk+-2.0 gconf-2.0
 endif
+
+PKGS += gthread-2.0 libmtp id3tag flac vorbisfile
+
+GTK_CFLAGS = `$(PKG_CONFIG) --cflags $(PKGS)`
+GTK_LDFLAGS = `$(PKG_CONFIG) --libs $(PKGS)`
 
 objects = src/main.o src/mtp.o src/interface.o src/callbacks.o src/prefs.o src/dnd.o src/metatag_info.o
 headers = src/main.h src/mtp.h src/interface.h src/callbacks.h src/prefs.h src/dnd.h src/metatag_info.h src/config.h

=== debian/changelog ===
gmtp (1.3.2-1) unstable; urgency=low

  * New upstream bugfix release:
    - Correct Makefile to fix when building with GTK+-3.4.
    - Reworked pkg-config handling to respect $(PKG_CONFIG) in Makefile.
    - Add additional error checking on connection of new devices, to hopefully
      avoid seg-fault with some very problematic devices. Ubuntu bugs:
      LP: #917314 LP: #948621 LP: #968798 LP: #995503
    - Fix issue with some Android 3.2 implementations and GetStorage() MTP API
      function. (Uses cached information, rather than full item rescan in some
      instances). (Closes: #667795)
    - Correct German Translations. (Closes: #672298)
    - Fix FLAC file handling.
  * Update debian/copyright.
  * Bump Standards.
  * Drop 0001-missing_linker_flag.patch, applied upstream.
  * Enable harden'd compilation.
  * Add 0002-format_security.patch to prevent build failure with the flag
    '-Werror=format-security' enabled.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Jun 2012 10:12:49 +0200

## gmtp 1.3.3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PKG_NAME = gmtp
 PREFIX ?= /usr/local
-VER = 1.3.2
+VER = 1.3.3
 # Note: If you update above, please update the config.h and pkginfo file as well.
 
 PKG = gmtp

=== debian/changelog ===
gmtp (1.3.3-1) unstable; urgency=low

  * New upstream release:
    - Fix handling of download/delete when parent folder is selected.
    - Fix build failure with -Werror=format-security.
  * Drop 0002-format_security.patch, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 15 Jun 2012 18:47:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gmtp
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 8.1.3~),
+Maintainer: Alessio Treglia <alessio@debian.org>
+Build-Depends:
+ debhelper (>= 8.1.3~),
  libflac-dev,
  libglib2.0-dev,
  libgtk-3-dev,
@@ -11,15 +11,16 @@
  libmtp-dev,
  libvorbis-dev,
  pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://gmtp.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/gmtp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gmtp.git
 
 Package: gmtp
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: simple MP3 player client for MTP based devices
  gMTP is a simple and light-weight interface to the features provided
  by libmtp, which allows users to manage the files stored on any MTP

## gmtp 1.3.4

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PKG_NAME = gmtp
 PREFIX ?= /usr/local
-VER = 1.3.3
+VER = 1.3.4
 # Note: If you update above, please update the config.h and pkginfo file as well.
 
 PKG = gmtp

=== debian/changelog ===
gmtp (1.3.4-2) unstable; urgency=low

  * Upload to unstable.
  * Use VCS canonical URLs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 May 2013 11:03:18 +0100

gmtp (1.3.4-1) experimental; urgency=low

  * New upstream release:
    - Fixes date handling, ensuring date format is as per
      MTP v1.0 Specification Section 3.2.5.
    - Cleaned up some minor GTK3 items.
    - Add new preference to ignore album handling errors (Android
      enhancement).
    - Add new preference to use alternate access method for devices
      (uncached mode and as needed file data). (Android enhancement).
      This last item should assist with problematic Android based
      devices.

 -- Alessio Treglia <alessio@debian.org>  Thu, 15 Nov 2012 00:54:00 +0000

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
  libmtp-dev,
  libvorbis-dev,
  pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://gmtp.sourceforge.net/
-Vcs-Git: git://git.debian.org/collab-maint/gmtp.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gmtp.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/gmtp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gmtp.git
 
 Package: gmtp
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
-export LDFLAGS+=-Wl,--as-needed
+export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
+export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
+LDFLAGS+=-Wl,--as-needed
 export PREFIX=/usr
 
 %:

=== debian/watch ===
version=3
http://sf.net/gmtp/gmtp-([0-9\.]+)-.*\.tar\.gz
